package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


	

import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.TahunUmrService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.entities.TahunUmr;
import com.jasamedika.medifirst2000.vo.TahunUmrVO;
import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.TahunUmrDao;

/**
 * Implement class for TahunUmrService
 * 
 * @author Generator
 * @param <T>
 */
@Service("tahunUmrService")
public class TahunUmrServiceImpl extends BaseVoServiceImpl implements TahunUmrService 
{	
	@Autowired
	private BaseConverterImpl<TahunUmrVO,TahunUmr>tahunUmrConverter;
	
	@Autowired
	private TahunUmrDao tahunUmrDao;


	@Override
	public Map<String, Object> saveTahunUmr(TahunUmrVO vo) {
		Map<String, Object> result = new HashMap<String, Object>();
		TahunUmr model = new TahunUmr();
		model = tahunUmrConverter.transferVOToModel(vo,model);
	
		TahunUmr resultDomain = tahunUmrDao.save(model);
		if (CommonUtil.isNotNullOrEmpty(resultDomain)) {
			result.put("noRec", resultDomain.getNoRec());
		}

		return result;
	}
}